---
title: General, non-uibuilder-specific function Library
description: >
   Utility library containing methods that are reusable, not just specific to UIBUILDER.
created: 2021-06-27 21:35:00
lastUpdated: 2023-09-30 17:00:40
---

`nodes/libs/tilib.js`

## Dependencies

* path
* fs-extra

## Variables

None

## Functions/Methods

### trimSlashes

### urlJoin

### escapeRegExp

### getNpmRunScripts

### mergeDedupe

### syntaxHighlight

### findPackage

### updatePackageList - DEPRECATED in v2.0

### readPackageJson

### compareArrays
